#pragma once

#define DEFAULT_WPM 15
#define MIN_WPM 5
#define MAX_WPM 60

#define POTI_MIN_WPM 30
#define POTI_MAX_WPM 10

#define POWER_DOWN_TIME 25000
#define POWER_SAVE_TIME 5000

#define SIDETONE_DEFAULT_FREQUENCY 550
#define SIDETONE_DEFAULT_ON true
#define REVERSE_PADDLE_DEFAULT_ON false
#define SPEED_RATIO_DEFAULT_ON false

#define TONE_LOW 220
#define TONE_MID 440
#define TONE_HIG 880

#define NR_OF_MEMORY_BUTTONS 8
#define EEPROM_SIZE 1024

#define DEFAULT_MSG_0 "cq cq cq de dl1smf dl1smf cq pse k"
#define DEFAULT_MSG_1 "= tnx for call dr op"
#define DEFAULT_MSG_2 "= ur rpt 599 5nn" 
#define DEFAULT_MSG_3 "= ur rpt 339 33n = ur rpt 339 33n"
#define DEFAULT_MSG_4 "= name stefan stefan = qth castrop rauxel nr dortmund = loc jo31pn jo31pn "
#define DEFAULT_MSG_5 "= trx kenwood ts480hx = pwr abt 50 watt"
#define DEFAULT_MSG_6 "= ant resonant diy endfed wire"
#define DEFAULT_MSG_7 "= btu de dl1smf"

#define EEPROM_WPM_ADDRESS 0
#define EEPROM_REVERSE_PADDLE_ADDRESS 1
#define EEPROM_SIDETONE_ADDRESS 2
#define EEPROM_SIDETONE_FREQUENCY_ADDRESS 4
#define EEPROM_SPEED_RATIO_ADDRESS 3
#define EEPROM_MODE_ADDRESS 4
#define EEPROM_DOT_DASH_MEMORY_ADDRESS 5

#define EEPROM_MEM_OFFSET 24
